package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;


/**
 * 公出打卡表(PublicReleaseClock)实体类
 *
 * @author makejava
 * @since 2025-08-27 11:44:45
 */
public class PublicReleaseClock implements Serializable {
    private static final long serialVersionUID = -21241622729243982L;

    private Integer id;
    /**
     * 公出编号
     */
    private Integer prid;
    /**
     * 公出详情编号
     */
    private Integer prdid;
    /**
     * 附件
     */
    private String photoUrl;
    /**
     * 打卡时间
     */
    private Date clockInTime;
    /**
     * 发起时间
     */
    private Date createTime;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 公出企业地址
     */
    private String districtName;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPrid() {
        return prid;
    }

    public void setPrid(Integer prid) {
        this.prid = prid;
    }

    public Integer getPrdid() {
        return prdid;
    }

    public void setPrdid(Integer prdid) {
        this.prdid = prdid;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public Date getClockInTime() {
        return clockInTime;
    }

    public void setClockInTime(Date clockInTime) {
        this.clockInTime = clockInTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

}

